#ifndef _CONSOLE_FUNCTIONS_H
#define _CONSOLE_FUNCTIONS_H


void Invalid_Parameters (void);

void No_Operation (void);

void Empty_Line (void);

void Help (char Cmd[]);

void Clear_Screen (void);

void Draw_Point (int X, int Y, long int Color);

void Draw_Line (int x1, int y1, int x2, int y2, long int Color);

void Draw_Triangle (int x1, int y1, int x2, int y2, int x3, int y3, long int Color);

void Fill_Triangle (int X1, int Y1, int X2, int Y2, int X3, int Y3, long int Background);

void Draw_Rectangle (int x1, int y1, int x2, int y2, long int Color);

void Fill_Rectangle (int ULX, int ULY, int DRX, int DRY, long int Color);

void Draw_Ellipse (int CX, int CY, int XRadius, int YRadius, long int Color);

void Draw_4_Ellipse_Points (int CX, int CY, int X, int Y, long int Color);

void Draw_Circle (int x, int y, int r, long int Color);

void Files (void);

void Change_Directory (char Path[]);

void Display (char Name[]);

void Display_Box (char Name[], Point UL, Point DR, int ClearFlag);

void Slide (unsigned long int Delay, int argc, char **argv);

void Clear_Terminal (void);

#endif